function setConditionalFormatting(value, field, inverted)
	if value == nil or value == '' or value == 0 then
		return
	end

	local fontPositive = 'default_positive'
	local fontNegative = 'default_warning'
	
	if inverted then
		fontPositive = 'default_warning'
		fontNegative = 'default_positive'
	end

	if value < 0 then
		field.font = fontNegative
	else
		field.font = fontPositive
	end	
end

function getValueChange(list, field, index) 
	local entryCount = list.count
	local nextRowIndex = index + 1
	
	if entryCount == 0 or nextRowIndex == entryCount then
		return 0
	end

	if index < entryCount then
		-- currentvalue - previousvalue
		return list[index][field] - list[nextRowIndex][field]
	end
end

function getPercentChange(list, field, changeField, index) 
	local entryCount = list.count
	local nextRowIndex = index + 1

	if entryCount == 0 or nextRowIndex == entryCount then
		return 0
	end

	if index < entryCount then
		-- changevalue / previousvalue
		return list[index][changeField] / list[nextRowIndex][field]
	end
end